## com.sun.jersey.core.provider
Interface CompletableReader<T>

Type Parameters:
  `T` - the type returned from a `MessageBodyReader`.

    public interface CompletableReader<T>

A `MessageBodyReader` may implement this interface to signal that reading from the underlying input stream can be fully completed.

This is useful in scenarios where an instance of the type will be processed after the input stream, from which it was read, has been closed.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  `MessageBodyReader`

Method Summary
`T` | `complete(T t)` Complete the reading.

Method Detail

### complete

    T complete(T t)

  Complete the reading.

  Parameters:
    `t` - an instance of the Type `T`.
  Returns:
    the complete instance of `T`.

Copyright © 2017 Oracle Corporation. All Rights Reserved.